Bug 222939 - 82G965 Driver does not support wide screen (neither does 915Resolution)
82G965 Driver does not support wide screen (neither does 915Resolution)
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
6
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-16 17:18 EST by Reiner K. Kappenberger
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-31 13:20:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
XServer log file without having the /etc/X11/xorg.conf (59.19 KB, application/octet-stream)
2007-02-02 19:13 EST, Reiner K. Kappenberger
no flags Details
XServer Log file with xorg.conf (and changed to 1440x900 resolution) (55.96 KB, application/octet-stream)
2007-02-02 19:14 EST, Reiner K. Kappenberger
no flags Details
XServer configuration file (940 bytes, application/octet-stream)
2007-02-02 19:16 EST, Reiner K. Kappenberger
no flags Details

  None (edit)
Description Reiner K. Kappenberger 2007-01-16 17:18:22 EST
I have a HP A1640N computer wich uses the 82G965 Video Driver from Intel
together with a ViewSonic VX1935wm monitor (1440x900 resolution).

I can neither get the i810 Driver to support the resolution nor does the Intel
Driver work for this HW. As well 915Resolution does not support this video board.
Comment 1 Matěj Cepl 2007-01-23 05:53:17 EST
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf) and X server log
file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file
attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf whatsoever and
let X11 autodetect your display and video card? Attach to this bug
/var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 Reiner K. Kappenberger 2007-02-02 19:13:20 EST
Created attachment 147260 [details]
XServer log file without having the /etc/X11/xorg.conf

XServer log file without having the /etc/X11/xorg.conf file.
Comment 3 Reiner K. Kappenberger 2007-02-02 19:14:54 EST
Created attachment 147261 [details]
XServer Log file with xorg.conf (and changed to 1440x900 resolution)

This is the log file from X11 after switching the resolution to 1440x900. The
actual resolution flips back to 1280x1024.
Comment 4 Reiner K. Kappenberger 2007-02-02 19:16:07 EST
Created attachment 147263 [details]
XServer configuration file

XServer configuration file /etc/X11/xorg.conf
Comment 5 Reiner K. Kappenberger 2007-02-02 19:17:24 EST
I've uploaded the requested files. Please let me know if you need additional
configuration/log files.

Reiner
Comment 6 danwaineo 2007-04-03 23:21:44 EDT
You might want to try FC7 Test3 with the intel (modesetting branch) driver.  It
worked for me.
Comment 7 Adam Jackson 2007-04-05 16:23:02 EDT
Indeed, please do test the intel driver.
Comment 8 Reiner K. Kappenberger 2007-04-05 16:28:05 EDT
This machine is currently in production use. I can't move to FC7T3 and then 
revert back to FC6.

Is there a chance to backport the driver/fix into FC6 so that I can test as 
alpha code?
Comment 9 Adam Jackson 2007-07-27 18:04:52 EDT
No, backporting to FC6 is quite a lot of work and risk.

It would be interesting to test with a LiveCD if possible.
Comment 10 Reiner K. Kappenberger 2007-07-31 10:35:52 EDT
Something must have been done 915Resolution as it now supports the video card 
and I can change the resolution to the desired settings.

Please set this but to workaround available.

Reiner
Comment 11 Adam Jackson 2007-07-31 13:20:30 EDT
WORKSFORME is as close as we get to that.

Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.